/**
 * @file
 * Module JS accessibility extension.
 */

(function (Drupal, $) {
  "use strict";
  Drupal.behaviors.accessibility = {
    attach: function (context) {
      $(document, context).on(
        "keydown",
        ".pixabay-image-wrapper",
        function (event) {
          if (event.keyCode === 13) {
            event.preventDefault();

            const imageCheck = $(this).find(".pixabay-image-check");
            const submitButton = "#pixabay-submit-entities";

            imageCheck.click();
            if ($(this).hasClass("pixabay-selected-image")) {
              $(this).removeClass("pixabay-configuration-error");
            }
            $(this).toggleClass("pixabay-selected-image");

            const countOfSelectedImages = $(document, context).find(
              ".pixabay-selected-image"
            ).length;

            if (countOfSelectedImages > 0) {
              $(document, context).find(submitButton).removeClass("inactive");
            } else {
              $(document, context).find(submitButton).addClass("inactive");
            }
          }
        }
      );
    },
    once: true,
  };
})(Drupal, jQuery, drupalSettings);
